* {
    padding: 0px;
    margin: 0px;
}

body {
    background-color: rgb(30, 30, 30);
    color: rgb(200, 200, 200);
}

header,
section,
footer {
    /*background-color: blue;*/
    margin: auto;
    width: 90%;
    max-width: 1200px;
}

@keyframes startMsg {

    0% { top: -100%; }
    100% { top: 0; }
}

.startMsg {
    opacity: 1;
    top: -100%;
    left: 0;
    position: fixed;
    display: flex;
    /*display: none;*/
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.2);
    width: 100%;
    height: 100%;
    z-index: 4;
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    
    /*animation-name: startMsg;
    animation-duration: 1s;
    animation-delay: 1s;
    animation-direction: normal;*/
}

.startMsg .msgBox {
    width: 90%;
    max-width: 500px;
    min-height: 500px;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(15px);
    border: 1px solid lightgray;
    box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.4);
    border-radius: 20px;
    overflow: hidden;
    padding: 40px;
    box-sizing: border-box;
    position: relative;
}

.startMsg .msgBox button {
    position: absolute;
    top: 15px;
    right: 15px;
    border: 1px solid gray;
    width: 35px;
    height: 35px;
    color: rgba(255, 255, 255, 0.7);
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 70px;
    cursor: pointer;
}

.startMsg .msgBox button:hover {
    background-color: rgba(0, 0, 0, 1);
    color: rgba(255, 255, 255, 0.9);
    transition: all 0.3s ease-in-out;
}

.startMsg .msgBox .msgBoxTitle h2 {
    /*background-color: red;*/
    text-align: center;
    font-size: 24px;
    color: rgba(210, 210, 210, 1);
    padding: 0px 20px;
    box-sizing: border-box;
}

.startMsg .msgBox hr {
    margin-top: 25px;
    border: 1px solid rgba(255, 255, 255, 0.7);
}

.startMsg .msgBox .msgBoxImage {
    /*background-color: lightgray;*/
    overflow: hidden;
    height: 200px;
    width: 200px;
    margin: 40px auto;
}

.startMsg .msgBox .msgBoxImage img {
    width: 100%;
}

.startMsg .msgBox p {
    text-align: center;
    font-size: 16px;
    color: rgba(210, 210, 210, 1);
    text-shadow: 0px 0px 1px gray;
    line-height: 20px;
}

header {
    position: relative;
    margin-bottom: 10px;
}

header .floatBtn {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    padding: 10px 15px;
    background-color: rgba(0, 0, 0, 1);
    border: 1px solid rgba(145, 22, 145, 0.2);      
    position: absolute;
    bottom: 10px;
    left: 10px;
    cursor: pointer;    
    z-index: 3;
}

header .floatBtn a {
    color: rgb(230, 230,230);
    font-size: 12px;
    text-shadow: 1px 1px 3px black;
    text-decoration: none;
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: bold;
    font-style: normal;
    font-variation-settings:
    "wdth" 100;
    letter-spacing: 0.05rem;
    margin-left: 7px;
}

header .floatBtn:hover {
    transition: all 0.2s ease-in;
    background-color: rgba(7, 7, 7, 1);
    border: 1px solid rgba(145, 22, 145, 0.5);
    color: rgb(250, 250,250);
}

header .hImg {
    background-image: url("./Images/hImage.jpg");
    background-size: cover;
    width: 100%;
    height: 170px;
    z-index: 1;
}

header .bC {
    background-color: rgba(0, 0, 0, 0);
    backdrop-filter: blur(7px);
    display: inline-block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 2;
}

header .logo0 {
    /*background-color: violet;*/  
    z-index: 3;
    display: inline-block;
    position: absolute;
    top: 10px;
    right: 30px;
    height: 85%;
    width: auto;
}

header .logo0 img {
    width: 100%;
    height: 100%;
    margin-bottom: -4px;
}

header .prHeader {
    background-image: linear-gradient(180deg, rgba(0, 255, 255, 0.2) 0%, transparent 99%);
    width: 100%;
    height: 180px;
    position: absolute;
    top: 60px;
    z-index: -1;
}

section {
    overflow: hidden;
}

section .articles {
    /*background-color: blue;*/
    padding: 10px;
    width: 67%;
    height: fit-content;
    box-sizing: border-box;
    display: inline-block;
    margin-right: 3%;
    float: left;
}

section .articles .presT {
    /*background-color: violet;*/
    font-family: "Bitcount Grid Single", system-ui;
    font-style: normal;
    font-weight: 100;
    text-shadow: 1px 1px 5px black;
    display: flex;
    align-items: center;
    width: 100%;
    cursor: pointer;
    position: relative;
}

section .articles .presT .soNet {
    /*background-color: black;*/
    position: absolute;
    top: 0;
    right: 0;
}

section .articles .presT .soNet > * {
    display: inline-block;
    position: relative;
    margin-left: 2px;
}

section .articles .presT .soNet > * > .topC {
    background-color: rgba(255, 255, 255, 0.1);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    opacity: 0;
    border-radius: 5px;
}

section .articles .presT .soNet > *:hover > .topC {
    opacity: 1;
}

section .articles .presT .soNet > * > img {
    margin-bottom: -4px;
}

section .articles .presT .presNa {
    /*background-color: green;*/
}

section .articles .presT .presNa h3 {
    font-size: 20px;
    letter-spacing: 0.05rem;    
}

section .articles .presT .presNa h4 {
    /*background-color: purple;*/
    display: inline-block;
    margin-left: 2px;
    font-size: 16px;
}

section .articles .presT .presNa:hover > h3{
    transition: all 0.2s ease-in-out;
    color: rgb(230, 230,230);
    text-shadow: 1px 1px 5px rgba(0, 255, 255, 0.2);
}

section .articles .presT:hover > .presImg {
    transition: all 0.2s ease-in-out;
    border: 1px solid rgba(0, 255, 255, 0.5);
}

section .articles .presT .presImg {
    background-color: rgb(50, 50, 50);
    border: 1px solid rgba(0, 255, 255, 0.3);
    overflow: hidden;
    width: 80px;
    height: 80px;
    border-radius: 100px;
    display: inline-block;
    margin-right: 10px;
}

section .articles .presT .presImg img {
    width: 100%;
    height: 100%;
    margin-bottom: -4px;
}

section .articles article {
   /*background-color: cyan;*/
    margin: 20px 0px;
    margin-bottom: 40px;
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-variation-settings:
    "wdth" 100;
    letter-spacing: 0.05rem;
    line-height: 1.5rem;
    text-shadow: 1px 1px 4px black;
    position: relative;
    display: none;
}

section .articles #article1 {
    display: inherit;
}

section .articles article .date {
    /*background-color: cyan;*/
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
}

section .articles article .date:hover {
    color: rgb(230, 230,230);
}

section .articles article .date > p {
    font-size: 14px;
    margin: 0px;
}

section .articles article h2 {
    font-size: 22px;
    margin: 10px 0px 15px 0px;
}

section .articles article p {
    margin: 10px 0px;
}

section .articles article .artImg {
    /*background-color: blue;*/
    background-image: linear-gradient(90deg, transparent 3%, rgba(0, 255, 255, 0.5), transparent 97%);
    width: 100%;
    margin: 20px 0px 10px 0px;
    display: flex;
    justify-content: center;
}

section .articles article .artImg img {
    margin-bottom: 0px;
    width: 70%;
}

section .articles article .artImgDes {
    /*background-color: pink;*/
    display: flex;
    align-items: center;
    width: fit-content;
    margin: auto;
    box-sizing: border-box;
    font-size: 14px;
    color: rgb(160, 160, 160);
}

section .articles article .artImgDes a {
    color: rgb(180, 180, 180);
    margin-left: 5px;
}

section .articles article .artRef {
    /*background-color: black;*/
}

section .articles article .artRef p {
    font-size: 14px;
    display: inline-block;
    color: rgb(160, 160, 160);
}

section aside {
    /*background-color: orange;*/
    margin-top: 10px;
    width: 30%;
    display: inline-block;
    height: fit-content;
    overflow: hidden;
    z-index: 3;
}

section aside .aside1 {
    background-color: black;
    background-image: radial-gradient(rgba(28, 241, 241, 0.7) 30%, rgba(30, 30, 30, 0.7) 50%,rgba(27, 206, 206, 0.7) 60%, rgba(17, 107, 167, 0.7) 80%);
    border-radius: 10px;
    padding: 10px 10px 0px 10px;
    box-sizing: border-box;
    height: fit-content;
    display: inline-block;
    position: relative;
    overflow: hidden;
    width: 100%;
}

section aside .aside1 .aB {
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(55px);
    -webkit-backdrop-filter: blur(55px);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: absolute;
    z-index: 0;
}

section aside .aside1 .aText {
    /*background-color: blue;*/
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-variation-settings: "wdth" 100;
    letter-spacing: 0.05rem;    
    color: rgb(250, 250,250);
    z-index: 1;
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 20px;
    box-sizing: border-box;
}

section aside .aside1 .aText h3 {
    /*background-color: black;*/
    text-shadow: 0px 0px 3px black;
}

section aside .aside1 .aText hr {
    border-color: white;
    width: 100%;
    margin: 10px 0px;
    opacity: 0.7;
}

section aside .aside1 .aText ul {
    margin-left: 20px;
    margin-bottom: 10px;
}

section aside .aside1 .aText ul li a {
    color: rgb(230, 230,230);
    text-decoration: none;
    display: inline-block;
    margin: 5px 0px;
    text-shadow: 1px 1px 1px black;
}

section aside .aside1 .aText ul li a:hover {
    color: white;
    text-decoration: underline;
}

section aside .aside2 {
    background-image: none;
    background-color: transparent;  
    padding: 5px 20px;
    box-sizing: border-box;
    width: 100%;
    border-radius: 10px;
}

section aside .aside2 .resCont {
    display: grid;
    grid-template-areas: "res1 res4"
                         "res2 res3"
                         "res3 res6";
    grid-template-columns: 1fr 1fr;
    grid-gap: 5px;
}

section aside .aside2 .resCont > * {
    /*background-color: violet;*/
    width: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 5px;
}

section aside .aside2 .resCont > * > .resImg {
    /*background-color: blue;*/
    display: inline-block;
    width: 30px;
    height: 30px;
    margin: 2px;
}

section aside .aside2 .resCont > * > .resImg img {
    margin-bottom: -4px;
    width: 100%;
    height: 100%;
}

section aside .aside2 .resCont > * > a {
    margin-left: 5px;
    color: rgb(180, 180,180);
    text-decoration: none;
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-variation-settings:
    "wdth" 100;
    font-size: 16px;
    letter-spacing: 0.05rem;
    text-shadow: 1px 1px 3px black;
}

section aside .aside2 .resCont > * > a:hover {
    color: rgb(200, 200,200);
    transition: all 0.2s ease-in-out;
}

footer {
    /*background-color: black;*/
    position: relative;    
}

footer p {
    width: 100%;
    text-align: center;
    display: inline-block;
    padding: 10px 0px;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: normal;
    font-style: normal;
    font-variation-settings:
    "wdth" 100;    
    color: white;
    text-shadow: 1px 1px 1px black;
    letter-spacing: 0.05rem;
    font-size: 14px;
}

footer .bF {
    background-image: linear-gradient(360deg,rgba(235, 8, 248, 0.3), rgba(235, 8, 248, 0.1),  transparent);
    width: 115%;
    left: -10%;
    height: 200px;
    position: absolute;
    top: calc(-165px);
    z-index: -1;
}

footer .bTop {
    background-color: rgba(0, 0, 0, 0);
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    height: 100px;
    position: absolute;
    top: -100px;
    width: 100%;
}

footer .bTop:hover {
    background-color: rgba(255, 255, 255, 0.03);
    transition: all 0.2s ease-in;
}

footer .bTop .bDBtn {
    display: inline-block;
}

footer .bTop p {
    width: fit-content;
    display: inline-block;
    margin-left: 10px;
    font-size: 16px;
}

@media screen and (max-width: 1030px){
    header,
    section,
    footer {
        /*background-color: blue;*/
        margin: auto;
        width: 95%;
        max-width: 1200px;
    }
}

@media screen and (max-width: 938px){

    section {
        position: relative;
    }

    section .articles {
        /*background-color: blue;*/
        padding: 10px;
        width: 100%;
        height: fit-content;
        margin-right: 20px;
        padding-right: 40px;        
        float: left;
    }
    
    section .articles .presT .soNet {
        right: -25px;
    }

    section .articles article .date {
        top: -30px;
        right: 0px;
    } 

    section .articles article h2 {
        font-size: 22px;
        margin: 20px 0px 15px 0px;
    }     

    section aside {
        position: absolute;
        top: 32px;
        right: 0px;  
        box-sizing: border-box;
        width: 300px;
        z-index: 2;
        animation-name: hideAside;
        animation-delay: 1s;
        animation-duration: 0.5s;
        animation-iteration-count: 1;
        animation-fill-mode: forwards; 
    }

    section aside:hover {
        animation-name: displayAside;
        animation-delay: 0s;
        animation-duration: 0.5s;
        animation-iteration-count: 1;
        animation-fill-mode: forwards;
    }

    section aside .aside1,
    section aside .aside2{
        width: 300px;
    }

    section aside .aside2 {
        background-color: black;
        padding: 20px;
        margin-top: 5px;
    }

    @keyframes hideAside {
        0% { width: 300px; }
        100% { width: 20px; }
    }

    @keyframes displayAside {
        0% { width: 20px; }
        100% { width: 300px; }
    }    
}

@media screen and (max-width: 500px){

    section .articles article .artImg {
        box-shadow: 0px 2px 20px rgba(0, 255, 255, 0.1);
    }    

    section .articles article .artImg img {
        margin-bottom: 0px;
        width: 100%;
    }    

    body footer {
        width: 100%;
    }

     body footer .bF {
        /*background-color: violet;*/
        width: 110%;
     }

     body footer .bTop {
        width: 100%;
     }
}

@media screen and (max-width: 410px){

    section .articles .presT {
        padding-top: 28px;
    }

    section .articles .presT .presImg {
        min-width: 80px;
    }    
}

